// Created on: 1995-03-06
// Created by: Laurent PAINNOT
// Copyright (c) 1995-1999 Matra Datavision
// Copyright (c) 1999-2012 OPEN CASCADE SAS
//
// The content of this file is subject to the Open CASCADE Technology Public
// License Version 6.5 (the "License"). You may not use the content of this file
// except in compliance with the License. Please obtain a copy of the License
// at http://www.opencascade.org and read it completely before using this file.
//
// The Initial Developer of the Original Code is Open CASCADE S.A.S., having its
// main offices at: 1, place des Freres Montgolfier, 78280 Guyancourt, France.
//
// The Original Code and all software distributed under the License is
// distributed on an "AS IS" basis, without warranty of any kind, and the
// Initial Developer hereby disclaims all such warranties, including without
// limitation, any warranties of merchantability, fitness for a particular
// purpose or non-infringement. Please see the License for the specific terms
// and conditions governing the rights and limitations under the License.



#include <Poly_Triangle.ixx>

//=======================================================================
//function : Poly_Triangle
//purpose  : 
//=======================================================================

Poly_Triangle::Poly_Triangle()
{
  myNodes[0] =  myNodes[1] = myNodes[2] = 0;
}

//=======================================================================
//function : Poly_Triangle
//purpose  : 
//=======================================================================

Poly_Triangle::Poly_Triangle(const Standard_Integer N1,
			     const Standard_Integer N2, 
			     const Standard_Integer N3)
{
  myNodes[0] = N1;
  myNodes[1] = N2;
  myNodes[2] = N3;
}

//=======================================================================
//function : Set
//purpose  : 
//=======================================================================

void Poly_Triangle::Set(const Standard_Integer N1, 
			const Standard_Integer N2, 
			const Standard_Integer N3)
{
  myNodes[0] = N1;
  myNodes[1] = N2;
  myNodes[2] = N3;
}

//=======================================================================
//function : Get
//purpose  : 
//=======================================================================

void Poly_Triangle::Get(Standard_Integer& N1, 
			Standard_Integer& N2, 
			Standard_Integer& N3) const 
{
  N1 = myNodes[0];
  N2 = myNodes[1];
  N3 = myNodes[2];
}

